# Visualization
TKV3d
Graphic3d

# Graphic3d_AspectMarker3d Class Reference

Creates and updates an attribute group for
marker type primitives. This group contains the type
of marker, its colour, and its scale factor.
.

`#include <Graphic3d_AspectMarker3d.hxx>`

Inheritance diagram for Graphic3d_AspectMarker3d:

[legend]

## Public Member Functions

Standard_EXPORT | Graphic3d_AspectMarker3d ()
| Creates a context table for marker primitives defined with the following default values: .
Standard_EXPORT | Graphic3d_AspectMarker3d (const Aspect_TypeOfMarker AType, const Quantity_Color &AColor, const Standard_Real AScaleOrId)
Standard_EXPORT | Graphic3d_AspectMarker3d (const Aspect_TypeOfMarker AType, const Quantity_Color &AColor, const Standard_Real AScaleOrId, const Standard_Integer AWidth, const Standard_Integer AHeight, const Handle(Graphic3d_HArray1OfBytes)&ATexture)
| Creates a context table for marker primitives defined with the specified values. .
Standard_EXPORT void | GetTextureSize (Standard_Integer &AWidth, Standard_Integer &AHeight)
| Returns marker's texture size. .
Standard_EXPORT const Handle_Graphic3d_HArray1OfBytes & | GetTexture ()
| Returns marker's texture. .
Standard_EXPORT void | SetTexture (const Standard_Integer AWidth, const Standard_Integer AHeight, const Handle(Graphic3d_HArray1OfBytes)&ATexture)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

Handle_Graphic3d_HArray1OfBytes | MyTexture
Standard_Integer | MyTextureWidth
Standard_Integer | MyTextureHeight

## Constructor & Destructor Documentation

Standard_EXPORT Graphic3d_AspectMarker3d::Graphic3d_AspectMarker3d | ( |  | ) |

Standard_EXPORT Graphic3d_AspectMarker3d::Graphic3d_AspectMarker3d | ( | const Aspect_TypeOfMarker | AType,
|  | const Quantity_Color & | AColor,
|  | const Standard_Real | AScaleOrId
| ) |

Standard_EXPORT Graphic3d_AspectMarker3d::Graphic3d_AspectMarker3d | ( | const Aspect_TypeOfMarker | AType,
|  | const Quantity_Color & | AColor,
|  | const Standard_Real | AScaleOrId,
|  | const Standard_Integer | AWidth,
|  | const Standard_Integer | AHeight,
|  | const Handle(Graphic3d_HArray1OfBytes)& | ATexture
| ) |

## Member Function Documentation

Standard_EXPORT const Handle_Graphic3d_HArray1OfBytes& Graphic3d_AspectMarker3d::GetTexture | ( |  | ) |

Standard_EXPORT void Graphic3d_AspectMarker3d::GetTextureSize | ( | Standard_Integer & | AWidth,
|  | Standard_Integer & | AHeight
| ) |

Standard_EXPORT const Graphic3d_AspectMarker3d::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Aspect_AspectMarker.

Standard_EXPORT void Graphic3d_AspectMarker3d::SetTexture | ( | const Standard_Integer | AWidth,
|  | const Standard_Integer | AHeight,
|  | const Handle(Graphic3d_HArray1OfBytes)& | ATexture
| ) |

## Field Documentation

Handle_Graphic3d_HArray1OfBytes Graphic3d_AspectMarker3d::MyTexture `[protected]`

Standard_Integer Graphic3d_AspectMarker3d::MyTextureHeight `[protected]`

Standard_Integer Graphic3d_AspectMarker3d::MyTextureWidth `[protected]`

The documentation for this class was generated from the following file:

- Graphic3d_AspectMarker3d.hxx